Chat Completions
curl --request POST \
--url https://api.fortytwo.network/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"model": "<string>",
"max_completion_tokens": 123,
"max_tokens": 123,
"stream": false,
"response_format": {}
}
'import requests
url = "https://api.fortytwo.network/v1/chat/completions"
payload = {
"messages": [{ "content": "<string>" }],
"model": "<string>",
"max_completion_tokens": 123,
"max_tokens": 123,
"stream": False,
"response_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
model: '<string>',
max_completion_tokens: 123,
max_tokens: 123,
stream: false,
response_format: {}
})
};
fetch('https://api.fortytwo.network/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choices": [
{
"index": 123,
"message": {
"content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"id": "<string>",
"created": 123,
"model": "fortytwo-prime",
"object": "chat.completion"
}{
"error": {
"message": "Missing required field: model_id",
"type": "invalid_request_error"
}
}{
"error": {
"message": "Invalid authentication credentials",
"type": "authentication_error"
}
}{
"error": {
"message": "Model not found",
"type": "model_not_found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "Too many concurrent requests. Retry after 10s",
"type": "rate_limit_exceeded"
}
}{
"error": {
"message": "Internal server error",
"type": "internal_error"
}
}API Reference
Chat Completions
Generates text responses using the Swarm Inference of the Fortytwo network. Read more.
POST
/
v1
/
chat
/
completions
Chat Completions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I